#pragma once

#include "kpi.h"

struct kb2sf_Settings
{
    int  nInterpolation;
    bool bIgnoreVolumeTag;
    double dVolume;
};

BOOL  __fastcall kb2sf_EnumConfig(IKpiConfigEnumerator *pEnumerator);
DWORD __fastcall kb2sf_ApplyConfig(IKpiConfig *pConfig,
                               const wchar_t *cszSection,//セクション名
                               const wchar_t *cszKey,    //キー名
                               INT64  nValue, //変更後の値(BOOL/INT の場合)
                               double dValue, //変更後の値(FLOAT の場合)
                               const wchar_t *cszValue);////変更後の値(文字列)
void __fastcall kb2sf_GetSettings(IKpiConfig *pConfig, kb2sf_Settings *pSettings);
HINSTANCE __fastcall kb2sf_LoadSPUPlugin(IKpiConfig *pConfig);
void __fastcall kb2sf_UnloadSPUPlugin(HINSTANCE hDll);
